<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>alertlevels</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="alert.html">alert</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="allocate.html">allocate</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">alertlevels</td>
     </tr></table></p>
   <p><div><span style="color:red">This keyword has not yet been fully tested yet. You are welcome to try it, but it may lead to wrong results. The syntax may still change with future versions. The developers appreciate any feedback on this keyword.</span></div></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>By default TaskJuggler supports the pre-defined alert levels: green, yellow and red. This attribute can be used to replace them with your own set of alert levels. You can define any number of levels, but you need to define at least two and they must be specified in ascending order from the least severity to highest severity. Additionally, you need to provide a 15x15 pixel image file with the name <code>flag-X.png</code> for each level where <code>X</code> matches the ID of the alert level. These files need to be in the <code>icons</code> directory to be found by the browser when showing HTML reports.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>alertlevels &lt;ID&gt; &lt;color name&gt; &lt;color&gt; [, &lt;ID&gt; &lt;color name&gt; &lt;color&gt;...]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="3">Arguments</td>
      <td class="descr">ID</td>
      <td class="descr"><div>A unique ID for the alert level</div></td>
     </tr>
     <tr align="left">
      <td class="descr">color name [<a href="The_TaskJuggler_Syntax.html#STRING">STRING</a>]</td>
      <td class="descr"><div>A unique name of the alert level color</div></td>
     </tr>
     <tr align="left">
      <td class="descr">color [<a href="The_TaskJuggler_Syntax.html#STRING">STRING</a>]</td>
      <td class="descr"><div>The RGB color values of the color. The following formats are supported: #RGB and #RRGGBB. Where R, G, B are hexadecimal values. See <a href="http://en.wikipedia.org/wiki/Web_colors">Wikipedia</a> for more details.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2"><a href="project.html">project</a></td>
     </tr>
    </table></p>
   <div class="codeframe"><pre class="code">project "Alert Levels" 2011-11-24 +2m {
  alertlevels green "Low" "#2AA46C",
              blue "Guarded" "#457CC4",
              yellow "Elevated" "#F1D821",
              orange "High" "#F99836",
              red "Severe" "#E43745"
}

task "Holiday Season" {
  journalentry 2011-11-24 "All safe unless you are a turkey" {
    alert green
  }
  journalentry 2011-11-27 "Strange lights appearing everywhere" {
    alert blue
  }
  journalentry 2011-12-01 "Alarm bells heared" {
    alert yellow
  }
  journalentry 2011-12-20 "Everybody has strange packages" {
    alert orange
  }
  journalentry 2011-12-25 "Guy with red coat entered through chimney" {
    alert red
  }
}
</pre></div>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="alert.html">alert</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="allocate.html">allocate</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
